package com.example.fieldagent.data.models.responses

import com.google.gson.annotations.SerializedName

data class SelectCategoryData (
    val status: Long? = null,
    val success: Boolean? = null,
    val message: String? = null,
    val data: CategoryData? = null
)

data class CategoryData (
    val categories: List<CategoryFlow>? = null,
)

data class CategoryFlow (
    val id: Long? = null,
    val name: String? = null,
    val isActive: Boolean? = null,
    val isDeleted: Boolean? = null,
    val createdAt: String? = null,
    val updatedAt: String? = null,
    val subCategories: List<SubCategoryData>? = null
)

data class SubCategoryData (
    val id: Long? = null,
    val categoryID: Long? = null,
    val name: String? = null,
    val unit: String? = null,
    val price: Long? = null,
    val specifications: String? = null,
    val isActive: Boolean? = null,
    val isDeleted: Boolean? = null,
    val createdAt: String? = null,
    val updatedAt: String? = null
)



